<?php

echo "<div class='wrap ihs_save_settings'>";
echo '<div class="icon32" id="icon-infobar"><br></div><h2>' . __( "Infobar Analytics", "" ) . '</h2>';

function get_date()
{
	if(isset($_POST['date-range-apply']))
	{
		if(isset($_POST['sDateStart']) && $_POST['sDateStart']!='')
		{
			$range_start = explode('/', $_POST['sDateStart']);
			$range_start = $range_start[2].'-'.$range_start[0].'-'.$range_start[1].' 00:00:00';
		}

		if(isset($_POST['sDateEnd']) && $_POST['sDateEnd']!='')
		{
			$range_end = explode('/', $_POST['sDateEnd']);
			$range_end = $range_end[2].'-'.$range_end[0].'-'.$range_end[1].' 23:59:59';
		}
	}

	if($range_start == NULL)
	{
        if($range_end == NULL)
		{
			$todayDate = date("Y-m-d", strtotime(date("Y-m-d")));
			$dateOneMonthless = strtotime(date("Y-m-d", strtotime($todayDate)) . "-1 month");
			$range_start = date('Y-m-d', $dateOneMonthless).' 00:00:00';
		}
		else
		{
		   $range_start = date("Y-m-d H:i:s", strtotime(date("Y-m-d H:i:s", strtotime($range_end)) . "-1 month"));

		}
	}


	if($range_end == NULL)
	{
		 $range_end = date("Y-m-d", strtotime(date("Y-m-d"). "+1 day")).' 23:59:59';
	}
	
    $date_array[]=$range_start;
	$date_array[]=$range_end;
	return $date_array;	
}

function get_all_campaigns($b=null)
{
	global $wpdb;
	$date_range=get_date();
    $range_start=$date_range[0];
	$range_end=$date_range[1];
	if($b==null)
	{
		$query = "SELECT SUM(t2.imps) AS impressions, SUM(t2.clicked) AS clicks, DATE(t2.firstvisited) AS dated FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' GROUP BY dated order by dated ASC";	
		$data = $wpdb->get_results($query, ARRAY_A);
		//return $data;
        $currentDate=strtotime($range_start);
        $end_date=strtotime($range_end);
			$resultData = array();
		while($currentDate <= $end_date) 
		{
            $resultData[$currentDate] = array(
                'dated' => date("Y-m-d",$currentDate),
                'impressions' => 0,
                'clicks' => 0            
            );
            $currentDate = strtotime("+1 days", $currentDate);
        } 
		//var_dump($resultData); 
		
		foreach($data as $index => $row) 
		{
            $timestamp = strtotime( $row['dated'] );
            $resultData[$timestamp] = $data[$index];
        }
	    //var_dump($resultData); 
	 return $resultData;
	}
	elseif($b==1)
	{
	   $query = "SELECT  browser,imps,clicks,(
				clicks *100/ imps
				) AS conversion
				FROM (
				SELECT SUM(t2.imps) AS imps, SUM(t2.clicked) AS clicks, t1.browser AS browser FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' GROUP BY browser
				) AS t3
				ORDER BY imps DESC";	  
	   
		$data = $wpdb->get_results($query, ARRAY_A);
		 return $data;
    
	}
	elseif($b==2)
	{
	   $query = "SELECT SUM(t2.clicked) AS clicks, AVG(TIME_TO_SEC(TIMEDIFF(t2.lastvisited,t2.firstvisited))) AS avgtime, DATE(t2.firstvisited) AS dated FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked >0 GROUP BY  dated Order by dated ASC";	  
		$data = $wpdb->get_results($query, ARRAY_A);
		//var_dump($data);
		//return $data;
        $currentDate=strtotime($range_start);
        $end_date=strtotime($range_end);
			$resultData = array();
		while($currentDate <= $end_date) 
		{
            $resultData[$currentDate] = array(
                'dated' => date("Y-m-d",$currentDate),
                'clicks' => 0,  
				'avgtime' => 0,  
            );
            $currentDate = strtotime("+1 days", $currentDate);
        } 
		//var_dump($resultData); 
		
		foreach($data as $index => $row) 
		{
            $timestamp = strtotime( $row['dated'] );
            $resultData[$timestamp] = $data[$index];
        }
	    //var_dump($resultData); 
	 return $resultData;
	}
	else
	{
	  $query = "SELECT AVG(t2.pageviews) AS avgviews, SUM(t2.clicked) AS clicks, DATE(t2.firstvisited) AS dated FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked > 0 GROUP BY  dated Order by dated ASC";	  
		$data = $wpdb->get_results($query, ARRAY_A);
		//var_dump($data);
		//return $data;
        $currentDate=strtotime($range_start);
        $end_date=strtotime($range_end);
			$resultData = array();
		while($currentDate <= $end_date) 
		{
            $resultData[$currentDate] = array(
                'dated' => date("Y-m-d",$currentDate),
                'clicks' => 0,  
				'avgviews' => 0,  
            );
            $currentDate = strtotime("+1 days", $currentDate);
        } 
		//var_dump($resultData); 
		
		foreach($data as $index => $row) 
		{
            $timestamp = strtotime( $row['dated'] );
            $resultData[$timestamp] = $data[$index];
        }
	    //var_dump($resultData); 
	 return $resultData;
	
	}
	
}

function get_campaign($b=null)
{
	global $wpdb;
	$date_range=get_date();
    $range_start=$date_range[0];
	$range_end=$date_range[1];
    if($b==null)
	{
		$query = "SELECT SUM(t2.imps) AS impressions, SUM(t2.clicked) AS clicks, DATE(t2.firstvisited) AS dated FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' and t1.campaignid=".$_GET['campaign_id']." GROUP BY dated order by dated ASC ";	  

		$data = $wpdb->get_results($query, ARRAY_A);
		//return $data;
        $currentDate=strtotime($range_start);
        $end_date=strtotime($range_end);
			$resultData = array();
		while($currentDate <= $end_date) 
		{
   
            $phpdate = getdate($currentDate);
            $resultData[$currentDate] = array(
                'dated' => date("Y-m-d",$currentDate),
                'impressions' => 0,
                'clicks' => 0,                
            );
            $currentDate = strtotime("+1 days", $currentDate);
        } 
		//var_dump($resultData); 
		
		foreach($data as $index => $row) 
		{
            $timestamp = strtotime( $row['dated'] );
            $resultData[$timestamp] = $data[$index];
        }
	    //var_dump($resultData); 
	 return $resultData;
	}
	elseif($b==1)
	{
		
		$query = "SELECT  browser, imps, clicks,(
				clicks *100/ imps
				) AS conversion
				FROM (
				SELECT SUM(t2.imps) AS imps, SUM(t2.clicked) AS clicks, t1.browser AS browser FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t1.campaignid=".$_GET['campaign_id']." GROUP BY browser
				) AS t3
				ORDER BY imps DESC";	  
	   
		$data = $wpdb->get_results($query, ARRAY_A);
		 return $data;
	}
	elseif($b==2)
	{
	  $query = "SELECT SUM(t2.clicked) AS clicks, AVG(TIME_TO_SEC(TIMEDIFF(t2.lastvisited,t2.firstvisited))) AS avgtime, DATE(t2.firstvisited) AS dated FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked >0 AND t1.campaignid=".$_GET['campaign_id']." GROUP BY  dated Order by dated ASC";	  
		$data = $wpdb->get_results($query, ARRAY_A);
		//var_dump($data);
		//return $data;
        $currentDate=strtotime($range_start);
        $end_date=strtotime($range_end);
			$resultData = array();
		while($currentDate <= $end_date) 
		{
            $resultData[$currentDate] = array(
                'dated' => date("Y-m-d",$currentDate),
                'clicks' => 0,  
				'avgtime' => 0,  
            );
            $currentDate = strtotime("+1 days", $currentDate);
        } 
		//var_dump($resultData); 
		
		foreach($data as $index => $row) 
		{
            $timestamp = strtotime( $row['dated'] );
            $resultData[$timestamp] = $data[$index];
        }
	    //var_dump($resultData); 
	 return $resultData;
	}
	else
	{
	  $query = "SELECT AVG(t2.pageviews) AS avgviews, SUM(t2.clicked) AS clicks, DATE(t2.firstvisited) AS dated FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked > 0 AND t1.campaignid=".$_GET['campaign_id']." GROUP BY  dated Order by dated ASC";	  
		$data = $wpdb->get_results($query, ARRAY_A);
		//var_dump($data);
		//return $data;
        $currentDate=strtotime($range_start);
        $end_date=strtotime($range_end);
			$resultData = array();
		while($currentDate <= $end_date) 
		{
            $resultData[$currentDate] = array(
                'dated' => date("Y-m-d",$currentDate),
                'clicks' => 0,  
				'avgviews' => 0,  
            );
            $currentDate = strtotime("+1 days", $currentDate);
        } 
		//var_dump($resultData); 
		
		foreach($data as $index => $row) 
		{
            $timestamp = strtotime( $row['dated'] );
            $resultData[$timestamp] = $data[$index];
        }
	    //var_dump($resultData); 
	 return $resultData;
	}
}

function get_creative($b=null)
{
	global $wpdb;
	$date_range=get_date();
    $range_start=$date_range[0];
	$range_end=$date_range[1];
   if($b==null)
	{
		$query = "SELECT SUM(t2.imps) AS impressions, SUM(t2.clicked) AS clicks, DATE(t2.firstvisited) AS dated FROM `infobar_page_stats` as t2 WHERE t2.firstvisited between '$range_start' AND '$range_end' and t2.message_id=".$_GET['creative_id']." GROUP BY dated order by dated ASC";
		$data = $wpdb->get_results($query, ARRAY_A);
		//return $data;
        $currentDate=strtotime($range_start);
        $end_date=strtotime($range_end);
			$resultData = array();
		while($currentDate <= $end_date) 
		{
   
            $phpdate = getdate($currentDate);
            $resultData[$currentDate] = array(
                'dated' => date("Y-m-d",$currentDate),
                'impressions' => 0,
                'clicks' => 0,                
            );
            $currentDate = strtotime("+1 days", $currentDate);
        } 
		//var_dump($resultData); 
		
		foreach($data as $index => $row) 
		{
            $timestamp = strtotime( $row['dated'] );
            $resultData[$timestamp] = $data[$index];
        }
	    //var_dump($resultData); 
	 return $resultData;
	}
	elseif($b==1)
	{
		
		$query = "SELECT  browser, imps, clicks,(
				clicks *100/ imps
				) AS conversion
				FROM (
				SELECT SUM(t2.imps) AS imps, SUM(t2.clicked) AS clicks, t1.browser AS browser FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.message_id=".$_GET['creative_id']." GROUP BY browser
				) AS t3
				ORDER BY imps DESC";	  
	   
		$data = $wpdb->get_results($query, ARRAY_A);
		 return $data;
	}
	elseif($b==2)
	{
	  $query = "SELECT SUM(t2.clicked) AS clicks, AVG(TIME_TO_SEC(TIMEDIFF(t2.lastvisited,t2.firstvisited))) AS avgtime, DATE(t2.firstvisited) AS dated FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked >0 AND t2.message_id=".$_GET['creative_id']." GROUP BY  dated Order by dated ASC";	  
		$data = $wpdb->get_results($query, ARRAY_A);
		//var_dump($data);
		//return $data;
        $currentDate=strtotime($range_start);
        $end_date=strtotime($range_end);
			$resultData = array();
		while($currentDate <= $end_date) 
		{
            $resultData[$currentDate] = array(
                'dated' => date("Y-m-d",$currentDate),
                'clicks' => 0,  
				'avgtime' => 0,  
            );
            $currentDate = strtotime("+1 days", $currentDate);
        } 
		//var_dump($resultData); 
		
		foreach($data as $index => $row) 
		{
            $timestamp = strtotime( $row['dated'] );
            $resultData[$timestamp] = $data[$index];
        }
	    //var_dump($resultData); 
	 return $resultData;
	}
	else
	{
	  $query = "SELECT AVG(t2.pageviews) AS avgviews, SUM(t2.clicked) AS clicks, DATE(t2.firstvisited) AS dated FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.clicked > 0 AND t2.message_id=".$_GET['creative_id']." GROUP BY  dated Order by dated ASC";	
	  $data = $wpdb->get_results($query, ARRAY_A);
		//var_dump($data);
		//return $data;
        $currentDate=strtotime($range_start);
        $end_date=strtotime($range_end);
			$resultData = array();
		while($currentDate <= $end_date) 
		{
            $resultData[$currentDate] = array(
                'dated' => date("Y-m-d",$currentDate),
                'clicks' => 0,  
				'avgviews' => 0,  
            );
            $currentDate = strtotime("+1 days", $currentDate);
        } 
		//var_dump($resultData); 
		
		foreach($data as $index => $row) 
		{
            $timestamp = strtotime( $row['dated'] );
            $resultData[$timestamp] = $data[$index];
        }
	    //var_dump($resultData); 
	 return $resultData;
	}
	
}

function get_counts()
{
	global $wpdb;
	
	if(isset($_GET['page_id']) && !empty($_GET['page_id']) && $_GET['page_id'] != '')
	{

		$condition = " AND int_title_id = $_GET[page_id] ";
	}

    $date_range=get_date();
    $range_start=$date_range[0];
	$range_end=$date_range[1];
	$query = "SELECT DATE(t3.firstvisited ) as dated, SUM( t3.imps ) as impressions, SUM( t3.clicked ) as clicks
	FROM `infobar_campaigns` AS t1
	INNER JOIN `infobar_variants` AS t2 ON t1.int_title_id = t2.int_title_id
	INNER JOIN `infobar_page_stats` AS t3 ON t2.int_message_id = t3.message_id
	WHERE t3.firstvisited between '$range_start' AND '$range_end' $condition GROUP BY message_id,dated order by dated ASC";

	$results = $wpdb->get_results($query);
	return $results;
}
?>
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script type="text/javascript" src="<?php echo URL;?>js/bootstrap-datepicker.js"></script>
<link rel='stylesheet' href='<?php echo URL;?>css/bootstrap.css' type='text/css' media='all' />
<link rel='stylesheet' href='<?php echo URL;?>css/statistics-style.css' type='text/css' media='all' />
<link rel='stylesheet' href='<?php echo URL;?>css/datepicker.css' type='text/css' media='all' />

<script type="text/javascript">
var statisticContext = {};
(function($){
    statisticContext = {
        // default data that is used when data for the method drawChart is not specified
        defaultData: null,
        // default chart options that will be changed when the chart is drawing
        defaultOptions: {
            isStacked: true,
           legend: {
                position: 'in',
               format: 'dd MMM'
            },
           pointSize: 7,
          lineWidth: 3,
            //curveType: 'function',
           tooltip: {
                showColorCode: true,
                textStyle: {fontSize: '11', color: '#333'}
            },
            hAxis: {
                baselineColor: '#fff',
                gridlines: {color: '#fff'},
               textStyle: {fontSize: '11', color: '#333'},
               format: 'dd MMM'
            },
            vAxis: {
               baselineColor: '#000',
                gridlines: {color: '#f6f6f6'},
                textPosition: 'in',
                textStyle: {fontSize: '11', color: '#333'}
            },
            chartArea: { height: '300', width: '95%', top: 5 }
        },

       init: function() {
            var self = this;
           this.defaultData = defaultChartData;
            this.resetToDefault();            
            $("#chart-type-group").find("button").click(function(){
                var type = $(this).data('value');
                if ( window.localStorage ) window.localStorage.setItem('infobar-chart-type', type);
               self.drawChart(null, type);
            });
           if ( window.localStorage ) {
                var type = localStorage.getItem('infobar-chart-type');
                var btnType = '.type-' + type;
                $("#chart-type-group").find("button.active").removeClass('active');
               $("#chart-type-group").find(btnType).click();
           }
            $('#date-start')
				.datepicker()
               .bind('changeDate', function(ev){
                   $('#date-start').datepicker('hide');
               });

            $('#date-end')
                .datepicker()
               .bind('changeDate', function(ev){
                   $('#date-end').datepicker('hide');
               });

            $(window).resize(function(){
                self.drawChart();
           });
       },

        resetToDefault: function() {
           this.currentType = null;
            this.currentData = null;
        },

       drawChart: function (data, type) {

            type = type || this.currentType || 'stats';
           data = data || this.currentData || this.defaultData;
            this.currentType = type;
            this.currentData = data;
            data = data[type];

            if (!type) type = 'stats';
            if (!data) data = this.defaultData[type];
            var options = $.extend({}, this.defaultOptions);
            var chartFunction = 'LineChart';
            // Create the data table.
            var dataTable = new google.visualization.DataTable();
                 
            if (type == 'stats') {

                //chartFunction = 'AreaChart';
				chartFunction = 'LineChart';
                options.areaOpacity = 0.1;
               options.colors = ["#7089be", "#CE1E26"];
			   dataTable.addColumn('date', 'Date');   
               dataTable.addColumn('number', 'Impressions');
				dataTable.addColumn('number', 'Clicks');
                dataTable.addColumn({type:'string',role:'tooltip'});
            } else if (type == 'browsers') {

                chartFunction = 'PieChart';
                options.areaOpacity = 0.1;
				options.is3D = true;
				options.tooltip.text='value';
				//options.pieSliceText="none";
				options.legend.position= 'right';
				//options.chartArea={left:6,top:6,width:"300px",height:"300px"}
               //options.colors = ["#7089be","#3ab9e9","#e26f61","#51A3C9","#CE1E26","#A8A8A8"];
			   dataTable.addColumn('string', 'browsers');
               dataTable.addColumn('number', 'clicks');
			   //dataTable.addColumn({type:'string',role:'tooltip'});
           }else if (type == 'avgtime') {

                chartFunction = 'AreaChart';
                options.areaOpacity = 0.1;
               options.colors = ["#7089be"];
			   dataTable.addColumn('date', 'Date');   
				dataTable.addColumn('number', 'Average Time Before Clicking On Infobar');
                dataTable.addColumn({type:'string',role:'tooltip'});
           }
		   else if(type == 'avgpageviews')
		   {
		        chartFunction = 'AreaChart';
                options.areaOpacity = 0.1;
                options.colors = ["#7089be"];
			    dataTable.addColumn('date', 'Date');   
				dataTable.addColumn('number', 'Average Pageviews Before Clicking On Infobar');
                dataTable.addColumn({type:'string',role:'tooltip'});
		   }
            dataTable.addRows(data);
            // Instantiate and draw our chart, passing in some options.
           var chart = new google.visualization[chartFunction](document.getElementById('chart'));
           chart.draw(dataTable, options);
        }
   };

    $(function(){
        statisticContext.init();
   });
})(jQuery)

      google.load("visualization", "1", {packages:["corechart"]});
      google.setOnLoadCallback(function(){
          statisticContext.drawChart();
      });
	  
	  var defaultChartData = {
	  
        stats: [ 
			<?php 
			
			if(isset($_GET['creative_id']))
			{
			  $results = get_creative();
			  $count=count($results);
			}
             else if(isset($_GET['campaign_id']))
			 {
			   $results = get_campaign();
			   $count=count($results);
			 }
			 else
			 {
			 $results = get_all_campaigns();
			 //var_dump($results);
			  $count=count($results);
			 }
			 $i=1;
			foreach($results as $result)
			{
				$share_date = explode('-', $result['dated']);
				$share_date[1] = $share_date[1] - 1;
				$share_date = implode(',',$share_date);
				?>
				[new Date(<?php echo $share_date;?>),<?php echo $result['impressions'];?>,<?php echo $result['clicks'];?>,"<?php echo $result['clicks'];?> clicks on <?php echo date('jS F Y, l', strtotime($result['dated']));?>" ] <?php if($i < $count) { echo ',';} ?>
				<?php
				$i++;
			}
			?>
        ],
		browsers: [
		   <?php 
			
			if(isset($_GET['creative_id']))
			{
			  $results = get_creative(1);
			  $count=count($results);
			}
             else if(isset($_GET['campaign_id']))
			 {
			   $results = get_campaign(1);
			   $count=count($results);
			 }
			 else
			 {
			 $results = get_all_campaigns(1);
			  $count=count($results);
			 } 
			 $i=1;
			foreach($results as $result)
			{
				?>
				["<?php echo $result['browser'];?>: <?php echo $result['imps'];?> impressions and <?php echo $result['clicks'];?> clicks, <?php echo intval($result['conversion']);?>% conversion rate",<?php echo intval($result['imps']);?>] <?php if($i < $count) { echo ',';} ?>
				<?php
				$i++;
			}
			?>
		],
		avgtime: [
		   <?php 
			
			if(isset($_GET['creative_id']))
			{
			  $results = get_creative(2);
			  $count=count($results);
			}
             else if(isset($_GET['campaign_id']))
			 {
			   $results = get_campaign(2);
			   $count=count($results);
			 }
			 else
			 {
			  $results = get_all_campaigns(2);
			  $count=count($results);
			 } 
			 $i=1;
			foreach($results as $result)
			{
				$share_date = explode('-', $result['dated']);
				$share_date[1] = $share_date[1] - 1;
				$share_date = implode(',',$share_date);
				?>
				[new Date(<?php echo $share_date;?>),<?php echo round($result['avgtime']);?>,"<?php echo round($result['avgtime']);?> seconds on average before clicking: <?php echo $result['clicks'];?> clicks on <?php echo date('jS F Y, l', strtotime($result['dated']));?>"] <?php if($i < $count) { echo ',';}
				
				$i++;
			}
			?>
		],
		avgpageviews: [
		   <?php 
			
			if(isset($_GET['creative_id']))
			{
			  $results = get_creative(3);
			  $count=count($results);
			}
             else if(isset($_GET['campaign_id']))
			 {
			   $results = get_campaign(3);
			   $count=count($results);
			 }
			 else
			 {
			  $results = get_all_campaigns(3);
			  $count=count($results);
			 } 
			 $i=1;
			foreach($results as $result)
			{
				$share_date = explode('-', $result['dated']);
				$share_date[1] = $share_date[1] - 1;
				$share_date = implode(',',$share_date);
				
				?>
				[new Date(<?php echo $share_date;?>),<?php echo round($result['avgviews']);?>,"<?php echo round($result['avgviews']);?> pageviews on average before clicking: <?php echo $result['clicks'];?> clicks on <?php echo date('jS F Y, l', strtotime($result['dated']));?>"] <?php if($i < $count) { echo ',';} 
				$i++;
			}
			?>
		]
      };

    </script>


    <div class="wpbootstrap">
  <p style="line-height: 150%; padding-bottom: 5px; margin-bottom: 0px;">
       Visualize your campaigns and infobar variants analytics.</p>
   <form method="post"> 
   <div id="chart-settings-bar">
       <div id="chart-type-select">
          <div class="btn-group" id="chart-type-group" data-toggle="buttons-radio">
              <button type="button" class="btn btn-small active type-stats" data-value="stats"><i class="icon-signal"></i> Stats</button>
              <button type="button" class="btn btn-small type-browsers" data-value="browsers"><i class="icon-globe"></i> Browsers</button> 
			  <button type="button" class="btn btn-small type-browsers" data-value="avgtime"><i class="icon-time"></i> Average Time</button> 
			  <button type="button" class="btn btn-small type-browsers" data-value="avgpageviews"><i class="icon-list"></i> Average Views</button> 
            </div>
        </div>
        <div id="chart-date-select">
                <input type="hidden" name="sPost" value="<?php echo $postId ?>" />
                <span class="date-range-label">Date range:</span>
                <input type="text" id="date-start" name="sDateStart" value="<?php echo $dateStart  ?>" />
                <input type="text" id="date-end" name="sDateEnd" value="<?php echo $dateEnd ?>" />
                <input type="submit" id="date-range-apply" name="date-range-apply" class="btn btn-small" value="Apply" />

        </div>
    </div>
    </form>

    <div class="chart-wrap">
        <div id="chart" style="width: 100%; height: 300px;"></div>
    </div>

<?php 

$date_range=get_date();

$range_start=$date_range[0];

$range_end=$date_range[1];

?>

<?php
	if (isset($_GET['creative_id']))
	{ 
	 ?>         <p>This page displays data for your infobar variant within a campaign.</p>
		<table id="posts-table">
			<thead>
				<th class="col-number"></th>
				<th class="col-title">Page URL</th>				<th class="col-total">Impressions</th>				<th class="col-total">Clicks</th>  				<th class="col-total">Conversion Rates</th>  				<th class="col-total">Average Time Before Clicking</th>				<th class="col-total">Average Views Before Clicking</th>
			</thead>
			<tbody>
			<?php 
			global $wpdb;
			$query = "SELECT SUM(imps) AS impressions,
							  SUM(clicked) AS clicks,
							  url FROM infobar_page_stats
						   where message_id=".$_GET['creative_id']." 
						   and firstvisited between '$range_start' AND '$range_end'
						  GROUP BY url ORDER BY impressions DESC";
						  
			$count_res = $wpdb->get_results($query);
		   // var_dump($count_res);
			$index = 1;
			foreach($count_res as $post)
			{
			?>
			<tr>
				<td class="col-number"><?php echo $index; ?>.</td>
				<td class="col-title"> <?php echo $post->url; ?></td>   
				<td class="col-total"><?php if(!$post->impressions) {echo 0;} else { echo $post->impressions; } ?></td>
				<td class="col-total"><?php if(!$post->impressions) {echo 0;} else { echo $post->clicks; } ?></td>
				
				<?php $clicks=intval($post->clicks);
			      $imps=intval($post->impressions);
			if($imps==0 || $clicks==0) {$conversion=0;
				} else { $conversion=($clicks*100)/($imps);} ?>

				<td class="col-total"><?php  echo round($conversion, 2)."%"; ?></td>
				<?php 
					$query = "SELECT AVG(TIME_TO_SEC(TIMEDIFF(t2.lastvisited,t2.firstvisited))) AS avgtime FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked >0 AND t2.url='".$post->url."' AND t2.message_id=".$_GET['creative_id'];
				$res = $wpdb->get_results($query, ARRAY_A);
				?>
				<td class="col-total"><?php  echo round($res[0]['avgtime']); ?></td>
				<?php 
					$query = "SELECT AVG(t2.pageviews) AS avgviews FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked > 0 AND t2.url='".$post->url."' AND t2.message_id=".$_GET['creative_id'];
				$res = $wpdb->get_results($query, ARRAY_A);
				?>
				<td class="col-total"><?php  echo round($res[0]['avgviews']); ?></td>
			</tr>
			<?php $index++; } ?>
			</tbody>
		</table>
   <?php
	$index++;
	}	
	else if (isset($_GET['campaign_id']))
	{ 
	 ?>        <p>This page displays data for one single campaign.</p>
		<table id="posts-table">
			<thead>
				<th class="col-number"></th>
				<th class="col-title">Creative Name</th>				<th class="col-total">Impressions</th>				<th class="col-total">Clicks</th>  				<th class="col-total">Conversion Rates</th>  				<th class="col-total">Average Time Before Clicking</th>				<th class="col-total">Average Views Before Clicking</th>
			</thead>
			<tbody>
			<?php 
			global $wpdb;
			$query = "SELECT int_message_id as id, name
					  FROM infobar_variants
					  where int_title_id=".$_GET['campaign_id']."
					  ORDER BY id ASC";
			$count_res = $wpdb->get_results($query);
			$index = 1;
			foreach($count_res as $post)
			{
			?>
			<tr>
				<td class="col-number"><?php echo $index;  ?> </td>
				<td class="col-title"><a href="admin.php?page=infobar_analytics&creative_id=<?php echo $post->id; ?>"> <?php echo $post->name; ?></a></td>  
				 <?php 
				$query = "SELECT SUM(imps) AS impressions,
							  SUM(clicked) AS clicks
						  FROM infobar_page_stats
						   where message_id=$post->id
						   and firstvisited between '$range_start' AND '$range_end'
						  GROUP BY message_id order by message_id DESC";
				$res = $wpdb->get_results($query);
				?>    
				
				<td class="col-total"><?php if(!$res[0]->impressions) {echo 0;} else { echo $res[0]->impressions; } ?></td>
				<td class="col-total"><?php if(!$res[0]->impressions) {echo 0;} else { echo $res[0]->clicks; } ?></td>
				
              <?php $clicks=intval($res[0]->clicks);
				      $imps=intval($res[0]->impressions);
				if($imps==0 || $clicks==0) {$conversion=0;
				} else { $conversion=($clicks*100)/($imps);} ?>

				<td class="col-total"><?php  echo round($conversion, 2)."%"; ?></td>
				<?php 
					$query = "SELECT AVG(TIME_TO_SEC(TIMEDIFF(t2.lastvisited,t2.firstvisited))) AS avgtime FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked >0 AND t2.message_id=".$post->id;
				$res = $wpdb->get_results($query, ARRAY_A);
				?>
				<td class="col-total"><?php  echo round($res[0]['avgtime']); ?></td>
				<?php 
					$query = "SELECT AVG(t2.pageviews) AS avgviews FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked > 0 AND t2.message_id=".$post->id;
				$res = $wpdb->get_results($query, ARRAY_A);
				?>
				<td class="col-total"><?php  echo round($res[0]['avgviews']); ?></td>
			</tr>
			<?php $index++; } ?>
			</tbody>
		</table>
   <?php
	}
	else
	{		
	 ?>         <p>This page displays data for all your campaigns.</p>
		<table id="posts-table">
			<thead>
				<th class="col-number"></th>
			<th class="col-title">Campaign Name</th>
				<th class="col-total">Impressions</th>
				<th class="col-total">Clicks</th>  
				<th class="col-total">Conversion Rates</th>  
				<th class="col-total">Average Time Before Clicking</th>
				<th class="col-total">Average Views Before Clicking</th>
			</thead>
			<tbody>
			<?php 
			global $wpdb;
			$query = "SELECT
						  int_title_id as id,str_title as title
					  FROM infobar_campaigns
					  ORDER BY id DESC";
			$count_res = $wpdb->get_results($query);
		   // var_dump($count_res);
			$index = 1;
			foreach($count_res as $post)
			{
			?>
			<tr>
				<td class="col-number"><?php echo $index; $index++; ?>.</td>
				<td class="col-title"><a href="admin.php?page=infobar_analytics&campaign_id=<?php echo $post->id; ?>"> <?php echo $post->title; ?></a></td>  
				 <?php 
				       $query = "SELECT
							  SUM(t2.imps) AS impressions,
							  SUM(t2.clicked) AS clicks
							FROM `infobar_visitor_stats` as t1 
							LEFT JOIN `infobar_page_stats` as t2 
							ON t1.id = t2.vid
						   where t1.campaignid=$post->id and
						   t2.firstvisited between '$range_start' AND '$range_end'";
				$res = $wpdb->get_results($query);
				?>    
				<td class="col-total"><?php if(!$res[0]->impressions) {echo 0;} else { echo $res[0]->impressions; } ?></td>
				<td class="col-total"><?php if(!$res[0]->impressions) {echo 0;} else { echo $res[0]->clicks; } ?></td>
               <?php $clicks=intval($res[0]->clicks);
				      $imps=intval($res[0]->impressions);
				if($imps==0 || $clicks==0) {$conversion=0;
				} else { $conversion=($clicks*100)/($imps);} ?>
				
				<td class="col-total"><?php  echo round($conversion, 2)."%"; ?></td>
				<?php 
					$query = "SELECT AVG(TIME_TO_SEC(TIMEDIFF(t2.lastvisited,t2.firstvisited))) AS avgtime FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked >0 AND t1.campaignid=".$post->id;
				$res = $wpdb->get_results($query, ARRAY_A);
				?>
				<td class="col-total"><?php  echo round($res[0]['avgtime']); ?></td>
				<?php 
					$query = "SELECT AVG(t2.pageviews) AS avgviews FROM `infobar_visitor_stats` as t1 LEFT JOIN `infobar_page_stats` as t2 ON t1.id = t2.vid WHERE t2.firstvisited between '$range_start' AND '$range_end' AND t2.clicked > 0 AND t1.campaignid=".$post->id;
				$res = $wpdb->get_results($query, ARRAY_A);
				?>
				<td class="col-total"><?php  echo round($res[0]['avgviews']); ?></td>
			</tr>
			<?php } ?>
			</tbody>
		</table>
	  <?php 
	} 
	?>
   </div>